/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * LinearDependenceException.cpp
 *
 *  Created on: Apr 7, 2010
 *      Author: crueger
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Helpers/MemDebug.hpp"

#include "LinearDependenceException.hpp"

using namespace std;

LinearDependenceException::LinearDependenceException(string _file, int _line) :
  MathException(_file,_line)
{}

LinearDependenceException::~LinearDependenceException() throw ()
{}

const char* LinearDependenceException::what() const throw()
{
  return "Given vectors are linear dependent.";
}
