/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * ZeroVectorException.cpp
 *
 *  Created on: Apr 30, 2010
 *      Author: crueger
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Helpers/MemDebug.hpp"

#include "ZeroVectorException.hpp"

ZeroVectorException::ZeroVectorException(std::string file, int line) :
  MathException(file,line)
{}

ZeroVectorException::~ZeroVectorException() throw ()
{}

const char* ZeroVectorException::what() const throw()
{
  return "Given vector was a zero Vector.";
}
