/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * ActionMenuItem.cpp
 *
 *  Created on: Dec 11, 2009
 *      Author: crueger
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "Helpers/MemDebug.hpp"

#include <iostream>

#include "Menu/ActionMenuItem.hpp"
#include "Actions/MethodAction.hpp"

using namespace std;

ActionMenuItem::ActionMenuItem(char _trigger, const char* _description,Menu* _menu,Action* _action)
: MenuItem(_trigger,_description,_menu),
  action(_action)
{
}

ActionMenuItem::~ActionMenuItem()
{}

void ActionMenuItem::doTrigger() {
  action->call();
}

bool ActionMenuItem::isActive() {
  return action->isActive();
}
